/*
 *  config.h
 *  mod_musicindex
 *
 *  $Id: config.h,v 1.11 2003/10/28 20:50:11 boudinr Exp $
 *
 *  Created by Thibaut VARENE on Thu Mar 20 2003.
 *  Copyright (c) 2003 Regis BOUDIN
 *  Copyright (c) 2003 Thibaut VARENE
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1, or (at your option)
 *  any later version.
 *
 */
 
#ifndef CONFIG_H
#define CONFIG_H

#include "mod_musicindex.h"
#include <string.h>

void *create_musicindex_config(apr_pool_t * p, char *dummy);

void *merge_musicindex_configs(apr_pool_t * p, void *basev, void *addv);

void sort_or_fields(cmd_parms * cmd, char *list, const char *optstr);

const char *sort_order(cmd_parms * cmd, void *d, const char *optstr);
const char *set_fields(cmd_parms * cmd, void *d, const char *optstr);
const char *music_lister(cmd_parms * cmd, void *d);
const char *allow_stream(cmd_parms * cmd, void *d);
const char *allow_download(cmd_parms * cmd, void *d);
const char *allow_search(cmd_parms * cmd, void *d);
const char *set_cache_path(cmd_parms * cmd, void *d, const char *optstr);
const char *set_page_title(cmd_parms * cmd, void *d, const char *optstr);

#endif
